ru.bitel.bgbilling.modules.rfiec.server.bean

## Class Constants

- java.lang.Object
- - ru.bitel.bgbilling.common.bean.BGBaseConstants
  - - ru.bitel.bgbilling.modules.rfiec.server.bean.Constants

-     public class Constants
      extends BGBaseConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `KEY_RFIEC_KEY`
    `static java.lang.String` | `KEY_RFIEC_NAME`
    `static java.lang.String` | `KEY_RFIEC_PAYMENT_COMMENT`
    `static java.lang.String` | `KEY_RFIEC_PAYMENT_TYPE_ID`
    `static java.lang.String` | `KEY_RFIEC_SECRET`
    `static java.lang.String` | `KEY_RFIEC_SUM_MAX`
    `static java.lang.String` | `KEY_RFIEC_SUM_MIN`
    `static java.lang.String` | `KEY_RFIEC_URL_GATE`
    `static java.lang.String` | `RFIEC_NAME`
    `static java.lang.String` | `RFIEC_PAYMENT_COMMENT`
    `static int` | `RFIEC_SUM_MAX`
    `static int` | `RFIEC_SUM_MIN`
    `static java.lang.String` | `RFIEC_URL_GATE`

    - ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

      `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_MONTH, KEY_PAGE, KEY_SUM_MAX, KEY_SUM_MIN, KEY_YEAR, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_MONTH, REQUEST_PARAM_STATUS, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RFIEC_SUM_MIN

          public static final int RFIEC_SUM_MIN

      See Also:
        Constant Field Values

    - #### RFIEC_SUM_MAX

          public static final int RFIEC_SUM_MAX

      See Also:
        Constant Field Values

    - #### RFIEC_NAME

          public static final java.lang.String RFIEC_NAME

      See Also:
        Constant Field Values

    - #### RFIEC_URL_GATE

          public static final java.lang.String RFIEC_URL_GATE

      See Also:
        Constant Field Values

    - #### RFIEC_PAYMENT_COMMENT

          public static final java.lang.String RFIEC_PAYMENT_COMMENT

      See Also:
        Constant Field Values

    - #### KEY_RFIEC_SUM_MIN

          public static final java.lang.String KEY_RFIEC_SUM_MIN

      See Also:
        Constant Field Values

    - #### KEY_RFIEC_SUM_MAX

          public static final java.lang.String KEY_RFIEC_SUM_MAX

      See Also:
        Constant Field Values

    - #### KEY_RFIEC_KEY

          public static final java.lang.String KEY_RFIEC_KEY

      See Also:
        Constant Field Values

    - #### KEY_RFIEC_NAME

          public static final java.lang.String KEY_RFIEC_NAME

      See Also:
        Constant Field Values

    - #### KEY_RFIEC_SECRET

          public static final java.lang.String KEY_RFIEC_SECRET

      See Also:
        Constant Field Values

    - #### KEY_RFIEC_URL_GATE

          public static final java.lang.String KEY_RFIEC_URL_GATE

      See Also:
        Constant Field Values

    - #### KEY_RFIEC_PAYMENT_TYPE_ID

          public static final java.lang.String KEY_RFIEC_PAYMENT_TYPE_ID

      See Also:
        Constant Field Values

    - #### KEY_RFIEC_PAYMENT_COMMENT

          public static final java.lang.String KEY_RFIEC_PAYMENT_COMMENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()